# Class Partitioner.StackElement<T>

java.lang.Object
org.apache.datasketches.partitions.Partitioner.StackElement<T>

Type Parameters:
  `T` - the item class type

Enclosing class:
  `Partitioner<T, S extends QuantilesGenericAPI<T> & PartitioningFeature<T>>`

public static class Partitioner.StackElement<T> extends Object
Holds data for a Stack element

## Field Summary

Fields
Modifier and Type
Field
Description
`final GenericPartitionBoundaries<T>`
`gpb`
A reference to the relevant GenericPartitionBoundaries class
`String`
`levelPartId`
A brief string description of the partition and its hierarchy
`int`
`part`
The partition index

## Constructor Summary

Constructors
Constructor
Description
`StackElement(GenericPartitionBoundaries<T> gpb, int part, String levelPartId)`
Constructs this StackElement

## Method Summary

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### gpb

public final GenericPartitionBoundaries<T> gpb
A reference to the relevant GenericPartitionBoundaries class

### part

public int part
The partition index

### levelPartId

public String levelPartId
A brief string description of the partition and its hierarchy

## Constructor Details

### StackElement

public StackElement(GenericPartitionBoundaries<T> gpb, int part, String levelPartId)
Constructs this StackElement

Parameters:
  `gpb` - the given GenericPartitionBoundarie reference
  `part` - The partition index
  `levelPartId` - A brief string description of the partition and its hierarchy